{
  "openapi": "3.2.0",
  "info": {
    "title": "Catalog Products",
    "description": "Merchants can use the Catalog Products API to create products, which are goods and services.",
    "version": "1.0"
  },
  "paths": {
    "/v1/catalogs/products": {
      "post": {
        "summary": "Create product",
        "description": "Creates a product.",
        "operationId": "products.create",
        "responses": {
          "200": {
            "description": "A successful request returns the HTTP `200 OK` status code and a JSON response body that shows product details.",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/product"
                }
              }
            }
          },
          "201": {
            "description": "A successful request returns the HTTP `201 Created` status code and a JSON response body that shows product details.",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/product"
                }
              }
            }
          },
          "400": {
            "description": "Bad Request. Request is not well-formed, syntactically incorrect, or violates schema.",
            "content": {
              "application/json": {
                "schema": {
                  "allOf": [
                    {
                      "$ref": "#/components/schemas/error_400"
                    },
                    {
                      "$ref": "#/components/schemas/products.create-400"
                    }
                  ]
                }
              }
            }
          },
          "401": {
            "description": "Authentication failed due to missing authorization header, or invalid authentication credentials.",
            "content": {
              "application/json": {
                "schema": {
                  "allOf": [
                    {
                      "$ref": "#/components/schemas/error_401"
                    },
                    {
                      "$ref": "#/components/schemas/401"
                    }
                  ]
                }
              }
            }
          },
          "403": {
            "description": "Authorization failed due to insufficient permissions.",
            "content": {
              "application/json": {
                "schema": {
                  "allOf": [
                    {
                      "$ref": "#/components/schemas/error_403"
                    },
                    {
                      "$ref": "#/components/schemas/403"
                    }
                  ]
                }
              }
            }
          },
          "422": {
            "description": "The requested action could not be performed, semantically incorrect, or failed business validation.",
            "content": {
              "application/json": {
                "schema": {
                  "allOf": [
                    {
                      "$ref": "#/components/schemas/error_422"
                    },
                    {
                      "$ref": "#/components/schemas/422"
                    }
                  ]
                }
              }
            }
          },
          "500": {
            "description": "An internal server error has occurred.",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/error_500"
                }
              }
            }
          },
          "default": {
            "$ref": "#/components/responses/default"
          }
        },
        "parameters": [
          {
            "$ref": "#/components/parameters/content_type"
          },
          {
            "$ref": "#/components/parameters/prefer"
          },
          {
            "$ref": "#/components/parameters/paypal_request_id"
          }
        ],
        "requestBody": {
          "content": {
            "application/json": {
              "schema": {
                "$ref": "#/components/schemas/product_request_POST"
              }
            }
          }
        },
        "security": [
          {
            "Oauth2": [
              "https://uri.paypal.com/services/subscriptions"
            ]
          }
        ],
        "tags": [
          "products"
        ]
      },
      "get": {
        "summary": "List products",
        "description": "Lists products.",
        "operationId": "products.list",
        "responses": {
          "200": {
            "description": "A successful request returns the HTTP `200 OK` status code and a JSON response body that lists products with details.",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/product_collection"
                }
              }
            }
          },
          "400": {
            "description": "Bad Request. Request is not well-formed, syntactically incorrect, or violates schema.",
            "content": {
              "application/json": {
                "schema": {
                  "allOf": [
                    {
                      "$ref": "#/components/schemas/error_400"
                    },
                    {
                      "$ref": "#/components/schemas/400"
                    }
                  ]
                }
              }
            }
          },
          "401": {
            "description": "Authentication failed due to missing authorization header, or invalid authentication credentials.",
            "content": {
              "application/json": {
                "schema": {
                  "allOf": [
                    {
                      "$ref": "#/components/schemas/error_401"
                    },
                    {
                      "$ref": "#/components/schemas/401"
                    }
                  ]
                }
              }
            }
          },
          "403": {
            "description": "Authorization failed due to insufficient permissions.",
            "content": {
              "application/json": {
                "schema": {
                  "allOf": [
                    {
                      "$ref": "#/components/schemas/error_403"
                    },
                    {
                      "$ref": "#/components/schemas/403"
                    }
                  ]
                }
              }
            }
          },
          "500": {
            "description": "An internal server error has occurred.",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/error_500"
                }
              }
            }
          },
          "default": {
            "$ref": "#/components/responses/default"
          }
        },
        "parameters": [
          {
            "$ref": "#/components/parameters/content_type"
          },
          {
            "$ref": "#/components/parameters/page_size"
          },
          {
            "$ref": "#/components/parameters/page"
          },
          {
            "$ref": "#/components/parameters/total_required"
          }
        ],
        "security": [
          {
            "Oauth2": [
              "https://uri.paypal.com/services/subscriptions"
            ]
          }
        ],
        "tags": [
          "products"
        ]
      }
    },
    "/v1/catalogs/products/{product_id}": {
      "get": {
        "summary": "Show product details",
        "description": "Shows details for a product, by ID.",
        "operationId": "products.get",
        "responses": {
          "200": {
            "description": "A successful request returns the HTTP `200 OK` status code and a JSON response body that shows product details.",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/product"
                }
              }
            }
          },
          "401": {
            "description": "Authentication failed due to missing authorization header, or invalid authentication credentials.",
            "content": {
              "application/json": {
                "schema": {
                  "allOf": [
                    {
                      "$ref": "#/components/schemas/error_401"
                    },
                    {
                      "$ref": "#/components/schemas/401"
                    }
                  ]
                }
              }
            }
          },
          "403": {
            "description": "Authorization failed due to insufficient permissions.",
            "content": {
              "application/json": {
                "schema": {
                  "allOf": [
                    {
                      "$ref": "#/components/schemas/error_403"
                    },
                    {
                      "$ref": "#/components/schemas/403"
                    }
                  ]
                }
              }
            }
          },
          "404": {
            "description": "The specified resource does not exist.",
            "content": {
              "application/json": {
                "schema": {
                  "allOf": [
                    {
                      "$ref": "#/components/schemas/error_404"
                    },
                    {
                      "$ref": "#/components/schemas/404"
                    }
                  ]
                }
              }
            }
          },
          "500": {
            "description": "An internal server error has occurred.",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/error_500"
                }
              }
            }
          },
          "default": {
            "$ref": "#/components/responses/default"
          }
        },
        "parameters": [
          {
            "$ref": "#/components/parameters/content_type"
          },
          {
            "$ref": "#/components/parameters/product_id"
          }
        ],
        "security": [
          {
            "Oauth2": [
              "https://uri.paypal.com/services/subscriptions"
            ]
          }
        ],
        "tags": [
          "products"
        ]
      },
      "patch": {
        "summary": "Update product",
        "description": "Updates a product, by ID. You can patch these attributes and objects:<table><thead><tr><th>Attribute or object</th><th>Operations</th></tr></thead><tbody><tr><td><code>description</code></td><td>add, replace, remove</td></tr><tr><td><code>category</code></td><td>add, replace, remove</td></tr><tr><td><code>image_url</code></td><td>add, replace, remove</td></tr><tr><td><code>home_url</code></td><td>add, replace, remove</td></tr></tbody></table>",
        "operationId": "products.patch",
        "responses": {
          "204": {
            "description": "A successful request returns the HTTP `204 No Content` status code with no JSON response body."
          },
          "400": {
            "description": "Bad Request. Request is not well-formed, syntactically incorrect, or violates schema.",
            "content": {
              "application/json": {
                "schema": {
                  "allOf": [
                    {
                      "$ref": "#/components/schemas/error_400"
                    },
                    {
                      "$ref": "#/components/schemas/products.patch-400"
                    }
                  ]
                }
              }
            }
          },
          "401": {
            "description": "Authentication failed due to missing authorization header, or invalid authentication credentials.",
            "content": {
              "application/json": {
                "schema": {
                  "allOf": [
                    {
                      "$ref": "#/components/schemas/error_401"
                    },
                    {
                      "$ref": "#/components/schemas/401"
                    }
                  ]
                }
              }
            }
          },
          "403": {
            "description": "Authorization failed due to insufficient permissions.",
            "content": {
              "application/json": {
                "schema": {
                  "allOf": [
                    {
                      "$ref": "#/components/schemas/error_403"
                    },
                    {
                      "$ref": "#/components/schemas/403"
                    }
                  ]
                }
              }
            }
          },
          "404": {
            "description": "The specified resource does not exist.",
            "content": {
              "application/json": {
                "schema": {
                  "allOf": [
                    {
                      "$ref": "#/components/schemas/error_404"
                    },
                    {
                      "$ref": "#/components/schemas/404"
                    }
                  ]
                }
              }
            }
          },
          "422": {
            "description": "The requested action could not be performed, semantically incorrect, or failed business validation.",
            "content": {
              "application/json": {
                "schema": {
                  "allOf": [
                    {
                      "$ref": "#/components/schemas/error_422"
                    },
                    {
                      "$ref": "#/components/schemas/products.patch-422"
                    }
                  ]
                }
              }
            }
          },
          "500": {
            "description": "An internal server error has occurred.",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/error_500"
                }
              }
            }
          },
          "default": {
            "$ref": "#/components/responses/default"
          }
        },
        "parameters": [
          {
            "$ref": "#/components/parameters/content_type"
          },
          {
            "$ref": "#/components/parameters/product_id"
          }
        ],
        "requestBody": {
          "content": {
            "application/json": {
              "schema": {
                "$ref": "#/components/schemas/patch_request"
              }
            }
          }
        },
        "security": [
          {
            "Oauth2": [
              "https://uri.paypal.com/services/subscriptions"
            ]
          }
        ],
        "tags": [
          "products"
        ]
      }
    }
  },
  "tags": [
    {
      "name": "products",
      "description": "Use `/products` resource to create and manage products."
    }
  ],
  "externalDocs": {
    "url": "/docs/api/overview/"
  },
  "servers": [
    {
      "url": "https://api-m.sandbox.paypal.com",
      "description": "PayPal API Sandbox"
    }
  ],
  "components": {
    "securitySchemes": {
      "Oauth2": {
        "type": "oauth2",
        "description": "Oauth 2.0 authentication",
        "flows": {
          "clientCredentials": {
            "tokenUrl": "/api/oauth-proxy",
            "scopes": {
              "https://uri.paypal.com/services/subscriptions": "Create and manage products"
            }
          }
        }
      }
    },
    "responses": {
      "default": {
        "description": "The default response.",
        "content": {
          "application/json": {
            "schema": {
              "$ref": "#/components/schemas/error_default"
            }
          }
        }
      }
    },
    "schemas": {
      "400": {
        "properties": {
          "details": {
            "type": "array",
            "items": {
              "anyOf": [
                {
                  "title": "INVALID_PARAMETER_VALUE",
                  "properties": {
                    "issue": {
                      "type": "string",
                      "enum": [
                        "INVALID_PARAMETER_VALUE"
                      ]
                    },
                    "description": {
                      "type": "string",
                      "enum": [
                        "The value of a field is invalid."
                      ]
                    }
                  }
                }
              ]
            }
          }
        }
      },
      "401": {
        "properties": {
          "details": {
            "type": "array",
            "items": {
              "anyOf": [
                {
                  "title": "INVALID_ACCOUNT_STATUS",
                  "properties": {
                    "issue": {
                      "type": "string",
                      "enum": [
                        "INVALID_ACCOUNT_STATUS"
                      ]
                    },
                    "description": {
                      "type": "string",
                      "enum": [
                        "Account validations failed for the user."
                      ]
                    }
                  }
                }
              ]
            }
          }
        }
      },
      "403": {
        "properties": {
          "details": {
            "type": "array",
            "items": {
              "anyOf": [
                {
                  "title": "PERMISSION_DENIED",
                  "properties": {
                    "issue": {
                      "type": "string",
                      "enum": [
                        "PERMISSION_DENIED"
                      ]
                    },
                    "description": {
                      "type": "string",
                      "enum": [
                        "You do not have permission to access or perform operations on this resource."
                      ]
                    }
                  }
                }
              ]
            }
          }
        }
      },
      "404": {
        "properties": {
          "details": {
            "type": "array",
            "items": {
              "anyOf": [
                {
                  "title": "INVALID_RESOURCE_ID",
                  "properties": {
                    "issue": {
                      "type": "string",
                      "enum": [
                        "INVALID_RESOURCE_ID"
                      ]
                    },
                    "description": {
                      "type": "string",
                      "enum": [
                        "Specified resource ID does not exist. Please check the resource ID and try again."
                      ]
                    }
                  }
                }
              ]
            }
          }
        }
      },
      "422": {
        "properties": {
          "details": {
            "type": "array",
            "items": {
              "anyOf": [
                {
                  "title": "USER_ACCOUNT_CLOSED",
                  "properties": {
                    "issue": {
                      "type": "string",
                      "enum": [
                        "USER_ACCOUNT_CLOSED"
                      ]
                    },
                    "description": {
                      "type": "string",
                      "enum": [
                        "User account locked or closed."
                      ]
                    }
                  }
                },
                {
                  "title": "DUPLICATE_RESOURCE_IDENTIFIER",
                  "properties": {
                    "issue": {
                      "type": "string",
                      "enum": [
                        "DUPLICATE_RESOURCE_IDENTIFIER"
                      ]
                    },
                    "description": {
                      "type": "string",
                      "enum": [
                        "Identifier must be unique."
                      ]
                    }
                  }
                },
                {
                  "title": "COUNTRY_NOT_SUPPORTED",
                  "properties": {
                    "issue": {
                      "type": "string",
                      "enum": [
                        "COUNTRY_NOT_SUPPORTED"
                      ]
                    },
                    "description": {
                      "type": "string",
                      "enum": [
                        "This merchant country is not currently supported."
                      ]
                    }
                  }
                }
              ]
            }
          }
        }
      },
      "date_time": {
        "type": "string",
        "description": "The date and time, in [Internet date and time format](https://tools.ietf.org/html/rfc3339#section-5.6). Seconds are required while fractional seconds are optional.<blockquote><strong>Note:</strong> The regular expression provides guidance but does not reject all invalid dates.</blockquote>",
        "format": "ppaas_date_time_v3",
        "minLength": 20,
        "maxLength": 64,
        "pattern": "^[0-9]{4}-(0[1-9]|1[0-2])-(0[1-9]|[1-2][0-9]|3[0-1])[T,t]([0-1][0-9]|2[0-3]):[0-5][0-9]:([0-5][0-9]|60)([.][0-9]+)?([Zz]|[+-][0-9]{2}:[0-9]{2})$"
      },
      "error_400": {
        "type": "object",
        "title": "Bad Request Error",
        "description": "Request is not well-formed, syntactically incorrect, or violates schema.",
        "properties": {
          "name": {
            "type": "string",
            "enum": [
              "INVALID_REQUEST"
            ]
          },
          "message": {
            "type": "string",
            "enum": [
              "Request is not well-formed, syntactically incorrect, or violates schema."
            ]
          },
          "details": {
            "type": "array",
            "items": {
              "$ref": "#/components/schemas/error_details"
            }
          },
          "debug_id": {
            "type": "string",
            "description": "The PayPal internal ID. Used for correlation purposes."
          },
          "links": {
            "description": "An array of request-related [HATEOAS links](https://en.wikipedia.org/wiki/HATEOAS).",
            "type": "array",
            "minItems": 0,
            "maxItems": 10000,
            "items": {
              "$ref": "#/components/schemas/error_link_description"
            }
          }
        }
      },
      "error_401": {
        "type": "object",
        "title": "Unauthorized Error",
        "description": "Authentication failed due to missing Authorization header, or invalid authentication credentials.",
        "properties": {
          "name": {
            "type": "string",
            "enum": [
              "AUTHENTICATION_FAILURE"
            ]
          },
          "message": {
            "type": "string",
            "enum": [
              "Authentication failed due to missing authorization header, or invalid authentication credentials."
            ]
          },
          "details": {
            "type": "array",
            "items": {
              "$ref": "#/components/schemas/error_details"
            }
          },
          "debug_id": {
            "type": "string",
            "description": "The PayPal internal ID. Used for correlation purposes."
          },
          "links": {
            "description": "An array of request-related [HATEOAS links](https://en.wikipedia.org/wiki/HATEOAS).",
            "type": "array",
            "minItems": 0,
            "maxItems": 10000,
            "items": {
              "$ref": "#/components/schemas/error_link_description"
            }
          }
        }
      },
      "error_403": {
        "type": "object",
        "title": "Not Authorized Error",
        "description": "The client is not authorized to access this resource, although it may have valid credentials. ",
        "properties": {
          "name": {
            "type": "string",
            "enum": [
              "NOT_AUTHORIZED"
            ]
          },
          "message": {
            "type": "string",
            "enum": [
              "Authorization failed due to insufficient permissions."
            ]
          },
          "details": {
            "type": "array",
            "items": {
              "$ref": "#/components/schemas/error_details"
            }
          },
          "debug_id": {
            "type": "string",
            "description": "The PayPal internal ID. Used for correlation purposes."
          },
          "links": {
            "description": "An array of request-related [HATEOAS links](https://en.wikipedia.org/wiki/HATEOAS).",
            "type": "array",
            "minItems": 0,
            "maxItems": 10000,
            "items": {
              "$ref": "#/components/schemas/error_link_description"
            }
          }
        }
      },
      "error_404": {
        "type": "object",
        "title": "Not found Error",
        "description": "The server has not found anything matching the request URI. This either means that the URI is incorrect or the resource is not available.",
        "properties": {
          "name": {
            "type": "string",
            "enum": [
              "RESOURCE_NOT_FOUND"
            ]
          },
          "message": {
            "type": "string",
            "enum": [
              "The specified resource does not exist."
            ]
          },
          "details": {
            "type": "array",
            "items": {
              "$ref": "#/components/schemas/error_details"
            }
          },
          "debug_id": {
            "type": "string",
            "description": "The PayPal internal ID. Used for correlation purposes."
          },
          "links": {
            "description": "An array of request-related [HATEOAS links](https://en.wikipedia.org/wiki/HATEOAS).",
            "type": "array",
            "minItems": 0,
            "maxItems": 10000,
            "items": {
              "$ref": "#/components/schemas/error_link_description"
            }
          }
        }
      },
      "error_409": {
        "type": "object",
        "title": "Resource Conflict Error",
        "description": "The server has detected a conflict while processing this request.",
        "properties": {
          "name": {
            "type": "string",
            "enum": [
              "RESOURCE_CONFLICT"
            ]
          },
          "message": {
            "type": "string",
            "enum": [
              "The server has detected a conflict while processing this request."
            ]
          },
          "details": {
            "type": "array",
            "items": {
              "$ref": "#/components/schemas/error_details"
            }
          },
          "debug_id": {
            "type": "string",
            "description": "The PayPal internal ID. Used for correlation purposes."
          },
          "links": {
            "description": "An array of request-related [HATEOAS links](https://en.wikipedia.org/wiki/HATEOAS).",
            "type": "array",
            "minItems": 0,
            "maxItems": 10000,
            "items": {
              "$ref": "#/components/schemas/error_link_description"
            }
          }
        }
      },
      "error_415": {
        "type": "object",
        "title": "Unsupported Media Type Error",
        "description": "The server does not support the request payload's media type.",
        "properties": {
          "name": {
            "type": "string",
            "enum": [
              "UNSUPPORTED_MEDIA_TYPE"
            ]
          },
          "message": {
            "type": "string",
            "enum": [
              "The server does not support the request payload's media type."
            ]
          },
          "details": {
            "type": "array",
            "items": {
              "$ref": "#/components/schemas/error_details"
            }
          },
          "debug_id": {
            "type": "string",
            "description": "The PayPal internal ID. Used for correlation purposes."
          },
          "links": {
            "description": "An array of request-related [HATEOAS links](https://en.wikipedia.org/wiki/HATEOAS).",
            "type": "array",
            "minItems": 0,
            "maxItems": 10000,
            "items": {
              "$ref": "#/components/schemas/error_link_description"
            }
          }
        }
      },
      "error_422": {
        "type": "object",
        "title": "Unprocessable Entity Error",
        "description": "The requested action cannot be performed and may require interaction with APIs or processes outside of the current request. This is distinct from a 500 response in that there are no systemic problems limiting the API from performing the request.",
        "properties": {
          "name": {
            "type": "string",
            "enum": [
              "UNPROCESSABLE_ENTITY"
            ]
          },
          "message": {
            "type": "string",
            "enum": [
              "The requested action could not be performed, semantically incorrect, or failed business validation."
            ]
          },
          "details": {
            "type": "array",
            "items": {
              "$ref": "#/components/schemas/error_details"
            }
          },
          "debug_id": {
            "type": "string",
            "description": "The PayPal internal ID. Used for correlation purposes."
          },
          "links": {
            "description": "An array of request-related [HATEOAS links](https://en.wikipedia.org/wiki/HATEOAS).",
            "type": "array",
            "minItems": 0,
            "maxItems": 10000,
            "items": {
              "$ref": "#/components/schemas/error_link_description"
            }
          }
        }
      },
      "error_500": {
        "type": "object",
        "title": "Internal Server Error",
        "description": "This is either a system or application error, and generally indicates that although the client appeared to provide a correct request, something unexpected has gone wrong on the server.",
        "properties": {
          "name": {
            "type": "string",
            "enum": [
              "INTERNAL_SERVER_ERROR"
            ]
          },
          "message": {
            "type": "string",
            "enum": [
              "An internal server error occurred."
            ]
          },
          "debug_id": {
            "type": "string",
            "description": "The PayPal internal ID. Used for correlation purposes."
          },
          "links": {
            "description": "An array of request-related [HATEOAS links](https://en.wikipedia.org/wiki/HATEOAS).",
            "type": "array",
            "minItems": 0,
            "maxItems": 10000,
            "items": {
              "$ref": "#/components/schemas/error_link_description"
            }
          }
        },
        "examples": [
          {
            "name": "INTERNAL_SERVER_ERROR",
            "message": "An internal server error occurred.",
            "debug_id": "90957fca61718",
            "links": [
              {
                "href": "https://developer.paypal.com/api/orders/v2/#error-INTERNAL_SERVER_ERROR",
                "rel": "information_link"
              }
            ]
          }
        ]
      },
      "error_503": {
        "type": "object",
        "title": "Service Unavailable Error",
        "description": "The server is temporarily unable to handle the request, for example, because of planned maintenance or downtime.",
        "properties": {
          "name": {
            "type": "string",
            "enum": [
              "SERVICE_UNAVAILABLE"
            ]
          },
          "message": {
            "type": "string",
            "enum": [
              "Service Unavailable."
            ]
          },
          "debug_id": {
            "type": "string",
            "description": "The PayPal internal ID. Used for correlation purposes."
          },
          "links": {
            "description": "An array of request-related [HATEOAS links](https://en.wikipedia.org/wiki/HATEOAS).",
            "type": "array",
            "minItems": 0,
            "maxItems": 10000,
            "items": {
              "$ref": "#/components/schemas/error_link_description"
            }
          }
        },
        "examples": [
          {
            "name": "SERVICE_UNAVAILABLE",
            "message": "Service Unavailable.",
            "debug_id": "90957fca61718",
            "information_link": "https://developer.paypal.com/docs/api/orders/v2/#error-SERVICE_UNAVAILABLE"
          }
        ]
      },
      "error_default": {
        "description": "The default error response.",
        "oneOf": [
          {
            "$ref": "#/components/schemas/error_400"
          },
          {
            "$ref": "#/components/schemas/error_401"
          },
          {
            "$ref": "#/components/schemas/error_403"
          },
          {
            "$ref": "#/components/schemas/error_404"
          },
          {
            "$ref": "#/components/schemas/error_409"
          },
          {
            "$ref": "#/components/schemas/error_415"
          },
          {
            "$ref": "#/components/schemas/error_422"
          },
          {
            "$ref": "#/components/schemas/error_500"
          },
          {
            "$ref": "#/components/schemas/error_503"
          }
        ]
      },
      "error_details": {
        "title": "Error Details",
        "type": "object",
        "description": "The error details. Required for client-side `4XX` errors.",
        "properties": {
          "field": {
            "type": "string",
            "description": "The field that caused the error. If this field is in the body, set this value to the field's JSON pointer value. Required for client-side errors."
          },
          "value": {
            "type": "string",
            "description": "The value of the field that caused the error."
          },
          "location": {
            "$ref": "#/components/schemas/error_location"
          },
          "issue": {
            "type": "string",
            "description": "The unique, fine-grained application-level error code."
          },
          "description": {
            "type": "string",
            "description": "The human-readable description for an issue. The description can change over the lifetime of an API, so clients must not depend on this value."
          }
        },
        "required": [
          "issue"
        ]
      },
      "error_link_description": {
        "title": "Link Description",
        "description": "The request-related [HATEOAS link](/api/rest/responses/#hateoas-links) information.",
        "type": "object",
        "required": [
          "href",
          "rel"
        ],
        "properties": {
          "href": {
            "description": "The complete target URL. To make the related call, combine the method with this [URI Template-formatted](https://tools.ietf.org/html/rfc6570) link. For pre-processing, include the `$`, `(`, and `)` characters. The `href` is the key HATEOAS component that links a completed call with a subsequent call.",
            "type": "string",
            "minLength": 0,
            "maxLength": 20000,
            "pattern": "^.*$"
          },
          "rel": {
            "description": "The [link relation type](https://tools.ietf.org/html/rfc5988#section-4), which serves as an ID for a link that unambiguously describes the semantics of the link. See [Link Relations](https://www.iana.org/assignments/link-relations/link-relations.xhtml).",
            "type": "string",
            "minLength": 0,
            "maxLength": 100,
            "pattern": "^.*$"
          },
          "method": {
            "description": "The HTTP method required to make the related call.",
            "type": "string",
            "minLength": 3,
            "maxLength": 6,
            "pattern": "^[A-Z]*$",
            "enum": [
              "GET",
              "POST",
              "PUT",
              "DELETE",
              "PATCH"
            ]
          }
        }
      },
      "error_location": {
        "type": "string",
        "description": "The location of the field that caused the error. Value is `body`, `path`, or `query`.",
        "enum": [
          "body",
          "path",
          "query"
        ],
        "default": "body"
      },
      "link_description": {
        "type": "object",
        "title": "Link Description",
        "description": "The request-related [HATEOAS link](/docs/api/reference/api-responses/#hateoas-links) information.",
        "required": [
          "href",
          "rel"
        ],
        "properties": {
          "href": {
            "type": "string",
            "description": "The complete target URL. To make the related call, combine the method with this [URI Template-formatted](https://tools.ietf.org/html/rfc6570) link. For pre-processing, include the `$`, `(`, and `)` characters. The `href` is the key HATEOAS component that links a completed call with a subsequent call."
          },
          "rel": {
            "type": "string",
            "description": "The [link relation type](https://tools.ietf.org/html/rfc5988#section-4), which serves as an ID for a link that unambiguously describes the semantics of the link. See [Link Relations](https://www.iana.org/assignments/link-relations/link-relations.xhtml)."
          },
          "method": {
            "type": "string",
            "description": "The HTTP method required to make the related call.",
            "enum": [
              "GET",
              "POST",
              "PUT",
              "DELETE",
              "HEAD",
              "CONNECT",
              "OPTIONS",
              "PATCH"
            ]
          }
        }
      },
      "link_description_list": {
        "type": "array",
        "description": "An array of request-related [HATEOAS links](/docs/api/overview/#hateoas-links).",
        "readOnly": true,
        "items": {
          "$ref": "#/components/schemas/link_description"
        }
      },
      "patch": {
        "type": "object",
        "title": "Patch",
        "description": "The JSON patch object to apply partial updates to resources.",
        "properties": {
          "op": {
            "type": "string",
            "description": "The operation.",
            "enum": [
              "add",
              "remove",
              "replace",
              "move",
              "copy",
              "test"
            ],
            "oneOf": [
              {
                "type": "string",
                "enum": [
                  "add"
                ],
                "description": "Depending on the target location reference, completes one of these functions:<ul><li><strong>The target location is an array index</strong>. Inserts a new value into the array at the specified index.</li><li><strong>The target location is an object parameter that does not already exist</strong>. Adds a new parameter to the object.</li><li><strong>The target location is an object parameter that does exist</strong>. Replaces that parameter's value.</li></ul>The <code>value</code> parameter defines the value to add. For more information, see <a href=\"https://tools.ietf.org/html/rfc6902#section-4.1\">4.1. add</a>."
              },
              {
                "type": "string",
                "enum": [
                  "remove"
                ],
                "description": "Removes the value at the target location. For the operation to succeed, the target location must exist. For more information, see <a href=\"https://tools.ietf.org/html/rfc6902#section-4.2\">4.2. remove</a>."
              },
              {
                "type": "string",
                "enum": [
                  "replace"
                ],
                "description": "Replaces the value at the target location with a new value. The operation object must contain a <code>value</code> parameter that defines the replacement value. For the operation to succeed, the target location must exist. For more information, see <a href=\"https://tools.ietf.org/html/rfc6902#section-4.3\">4.3. replace</a>."
              },
              {
                "type": "string",
                "enum": [
                  "move"
                ],
                "description": "Removes the value at a specified location and adds it to the target location. The operation object must contain a <code>from</code> parameter, which is a string that contains a JSON pointer value that references the location in the target document from which to move the value. For the operation to succeed, the <code>from</code> location must exist. For more information, see <a href=\"https://tools.ietf.org/html/rfc6902#section-4.4\">4.4. move</a>."
              },
              {
                "type": "string",
                "enum": [
                  "copy"
                ],
                "description": "Copies the value at a specified location to the target location. The operation object must contain a <code>from</code> parameter, which is a string that contains a JSON pointer value that references the location in the target document from which to copy the value. For the operation to succeed, the <code>from</code> location must exist. For more information, see <a href=\"https://tools.ietf.org/html/rfc6902#section-4.5\">4.5. copy</a>."
              },
              {
                "type": "string",
                "enum": [
                  "test"
                ],
                "description": "Tests that a value at the target location is equal to a specified value. The operation object must contain a <code>value</code> parameter that defines the value to compare to the target location's value. For the operation to succeed, the target location must be equal to the <code>value</code> value. For test, <code>equal</code> indicates that the value at the target location and the value that <code>value</code> defines are of the same JSON type. The data type of the value determines how equality is defined:<table><thead align=\"left\"><tr><th>Type</th><th>Considered equal if both values</th></tr></thead><tbody align=\"left\"><tr><td><strong>strings</strong></td><td>Contain the same number of Unicode characters and their code points are byte-by-byte equal.</td></tr><tr><td><strong>numbers</strong></td><td>Are numerically equal.</td></tr><tr><td><strong>arrays</strong></td><td>Contain the same number of values, and each value is equal to the value at the corresponding position in the other array, by using these type-specific rules.</td></tr><tr><td><strong>objects</strong></td><td>Contain the same number of parameters, and each parameter is equal to a parameter in the other object, by comparing their keys (as strings) and their values (by using these type-specific rules).</td></tr><tr><td><strong>literals (<code>false</code>, <code>true</code>, and <code>null</code>)</strong></td><td>Are the same. The comparison is a logical comparison. For example, whitespace between the parameter values of an array is not significant. Also, ordering of the serialization of object parameters is not significant.</td></tr></tbody></table>For more information, see <a href=\"https://tools.ietf.org/html/rfc6902#section-4.6\">4.6. test</a>."
              }
            ]
          },
          "path": {
            "type": "string",
            "description": "The <a href=\"https://tools.ietf.org/html/rfc6901\">JSON Pointer</a> to the target document location at which to complete the operation."
          },
          "value": {
            "type": [
              "number",
              "integer",
              "string",
              "boolean",
              "null",
              "array",
              "object"
            ],
            "title": "Patch Value",
            "description": "The value to apply. The <code>remove</code> operation does not require a value."
          },
          "from": {
            "type": "string",
            "description": "The <a href=\"https://tools.ietf.org/html/rfc6901\">JSON Pointer</a> to the target document location from which to move the value. Required for the <code>move</code> operation."
          }
        },
        "required": [
          "op"
        ]
      },
      "patch_request": {
        "type": "array",
        "title": "Patch Request",
        "description": "An array of JSON patch objects to apply partial updates to resources.",
        "items": {
          "$ref": "#/components/schemas/patch"
        }
      },
      "product": {
        "title": "Product Details",
        "description": "The product details.",
        "type": "object",
        "properties": {
          "id": {
            "type": "string",
            "description": "The ID of the product.",
            "minLength": 6,
            "maxLength": 50
          },
          "name": {
            "type": "string",
            "description": "The product name.",
            "minLength": 1,
            "maxLength": 127
          },
          "description": {
            "type": "string",
            "description": "The product description.",
            "minLength": 1,
            "maxLength": 256
          },
          "type": {
            "type": "string",
            "description": "The product type. Indicates whether the product is physical or digital goods, or a service.",
            "minLength": 1,
            "maxLength": 24,
            "pattern": "^[A-Z_]+$",
            "default": "PHYSICAL",
            "enum": [
              "PHYSICAL",
              "DIGITAL",
              "SERVICE"
            ],
            "oneOf": [
              {
                "type": "string",
                "enum": [
                  "PHYSICAL"
                ],
                "description": "Physical goods"
              },
              {
                "type": "string",
                "enum": [
                  "DIGITAL"
                ],
                "description": "For digital goods, the value must be set to DIGITAL to get the best rates. For more details, please contact your account manager."
              },
              {
                "type": "string",
                "enum": [
                  "SERVICE"
                ],
                "description": "Product representing a service. Example: Tech Support"
              }
            ]
          },
          "category": {
            "$ref": "#/components/schemas/product_category"
          },
          "image_url": {
            "type": "string",
            "format": "uri",
            "minLength": 1,
            "maxLength": 2000,
            "description": "The image URL for the product."
          },
          "home_url": {
            "type": "string",
            "format": "uri",
            "minLength": 1,
            "maxLength": 2000,
            "description": "The home page URL for the product."
          },
          "create_time": {
            "description": "The date and time when the product was created, in [Internet date and time format](https://tools.ietf.org/html/rfc3339#section-5.6).",
            "readOnly": true,
            "$ref": "#/components/schemas/date_time"
          },
          "update_time": {
            "description": "The date and time when the product was last updated, in [Internet date and time format](https://tools.ietf.org/html/rfc3339#section-5.6).",
            "readOnly": true,
            "$ref": "#/components/schemas/date_time"
          },
          "links": {
            "$ref": "#/components/schemas/link_description_list"
          }
        }
      },
      "product_category": {
        "type": "string",
        "description": "The product category.",
        "title": "Product Category",
        "minLength": 4,
        "maxLength": 256,
        "pattern": "^[A-Z_]+$",
        "enum": [
          "AC_REFRIGERATION_REPAIR",
          "ACADEMIC_SOFTWARE",
          "ACCESSORIES",
          "ACCOUNTING",
          "ADULT",
          "ADVERTISING",
          "AFFILIATED_AUTO_RENTAL",
          "AGENCIES",
          "AGGREGATORS",
          "AGRICULTURAL_COOPERATIVE_FOR_MAIL_ORDER",
          "AIR_CARRIERS_AIRLINES",
          "AIRLINES",
          "AIRPORTS_FLYING_FIELDS",
          "ALCOHOLIC_BEVERAGES",
          "AMUSEMENT_PARKS_CARNIVALS",
          "ANIMATION",
          "ANTIQUES",
          "APPLIANCES",
          "AQUARIAMS_SEAQUARIUMS_DOLPHINARIUMS",
          "ARCHITECTURAL_ENGINEERING_AND_SURVEYING_SERVICES",
          "ART_AND_CRAFT_SUPPLIES",
          "ART_DEALERS_AND_GALLERIES",
          "ARTIFACTS_GRAVE_RELATED_AND_NATIVE_AMERICAN_CRAFTS",
          "ARTS_AND_CRAFTS",
          "ARTS_CRAFTS_AND_COLLECTIBLES",
          "AUDIO_BOOKS",
          "AUTO_ASSOCIATIONS_CLUBS",
          "AUTO_DEALER_USED_ONLY",
          "AUTO_RENTALS",
          "AUTO_SERVICE",
          "AUTOMATED_FUEL_DISPENSERS",
          "AUTOMOBILE_ASSOCIATIONS",
          "AUTOMOTIVE",
          "AUTOMOTIVE_REPAIR_SHOPS_NON_DEALER",
          "AUTOMOTIVE_TOP_AND_BODY_SHOPS",
          "AVIATION",
          "BABIES_CLOTHING_AND_SUPPLIES",
          "BABY",
          "BANDS_ORCHESTRAS_ENTERTAINERS",
          "BARBIES",
          "BATH_AND_BODY",
          "BATTERIES",
          "BEAN_BABIES",
          "BEAUTY",
          "BEAUTY_AND_FRAGRANCES",
          "BED_AND_BATH",
          "BICYCLE_SHOPS_SALES_AND_SERVICE",
          "BICYCLES_AND_ACCESSORIES",
          "BILLIARD_POOL_ESTABLISHMENTS",
          "BOAT_DEALERS",
          "BOAT_RENTALS_AND_LEASING",
          "BOATING_SAILING_AND_ACCESSORIES",
          "BOOKS",
          "BOOKS_AND_MAGAZINES",
          "BOOKS_MANUSCRIPTS",
          "BOOKS_PERIODICALS_AND_NEWSPAPERS",
          "BOWLING_ALLEYS",
          "BULLETIN_BOARD",
          "BUS_LINE",
          "BUS_LINES_CHARTERS_TOUR_BUSES",
          "BUSINESS",
          "BUSINESS_AND_SECRETARIAL_SCHOOLS",
          "BUYING_AND_SHOPPING_SERVICES_AND_CLUBS",
          "CABLE_SATELLITE_AND_OTHER_PAY_TELEVISION_AND_RADIO_SERVICES",
          "CABLE_SATELLITE_AND_OTHER_PAY_TV_AND_RADIO",
          "CAMERA_AND_PHOTOGRAPHIC_SUPPLIES",
          "CAMERAS",
          "CAMERAS_AND_PHOTOGRAPHY",
          "CAMPER_RECREATIONAL_AND_UTILITY_TRAILER_DEALERS",
          "CAMPING_AND_OUTDOORS",
          "CAMPING_AND_SURVIVAL",
          "CAR_AND_TRUCK_DEALERS",
          "CAR_AND_TRUCK_DEALERS_USED_ONLY",
          "CAR_AUDIO_AND_ELECTRONICS",
          "CAR_RENTAL_AGENCY",
          "CATALOG_MERCHANT",
          "CATALOG_RETAIL_MERCHANT",
          "CATERING_SERVICES",
          "CHARITY",
          "CHECK_CASHIER",
          "CHILD_CARE_SERVICES",
          "CHILDREN_BOOKS",
          "CHIROPODISTS_PODIATRISTS",
          "CHIROPRACTORS",
          "CIGAR_STORES_AND_STANDS",
          "CIVIC_SOCIAL_FRATERNAL_ASSOCIATIONS",
          "CIVIL_SOCIAL_FRAT_ASSOCIATIONS",
          "CLOTHING",
          "CLOTHING_ACCESSORIES_AND_SHOES",
          "CLOTHING_RENTAL",
          "COFFEE_AND_TEA",
          "COIN_OPERATED_BANKS_AND_CASINOS",
          "COLLECTIBLES",
          "COLLECTION_AGENCY",
          "COLLEGES_AND_UNIVERSITIES",
          "COMMERCIAL_EQUIPMENT",
          "COMMERCIAL_FOOTWEAR",
          "COMMERCIAL_PHOTOGRAPHY",
          "COMMERCIAL_PHOTOGRAPHY_ART_AND_GRAPHICS",
          "COMMERCIAL_SPORTS_PROFESSIONA",
          "COMMODITIES_AND_FUTURES_EXCHANGE",
          "COMPUTER_AND_DATA_PROCESSING_SERVICES",
          "COMPUTER_HARDWARE_AND_SOFTWARE",
          "COMPUTER_MAINTENANCE_REPAIR_AND_SERVICES_NOT_ELSEWHERE_CLAS",
          "CONSTRUCTION",
          "CONSTRUCTION_MATERIALS_NOT_ELSEWHERE_CLASSIFIED",
          "CONSULTING_SERVICES",
          "CONSUMER_CREDIT_REPORTING_AGENCIES",
          "CONVALESCENT_HOMES",
          "COSMETIC_STORES",
          "COUNSELING_SERVICES_DEBT_MARRIAGE_PERSONAL",
          "COUNTERFEIT_CURRENCY_AND_STAMPS",
          "COUNTERFEIT_ITEMS",
          "COUNTRY_CLUBS",
          "COURIER_SERVICES",
          "COURIER_SERVICES_AIR_AND_GROUND_AND_FREIGHT_FORWARDERS",
          "COURT_COSTS_ALIMNY_CHILD_SUPT",
          "COURT_COSTS_INCLUDING_ALIMONY_AND_CHILD_SUPPORT_COURTS_OF_LAW",
          "CREDIT_CARDS",
          "CREDIT_UNION",
          "CULTURE_AND_RELIGION",
          "DAIRY_PRODUCTS_STORES",
          "DANCE_HALLS_STUDIOS_AND_SCHOOLS",
          "DECORATIVE",
          "DENTAL",
          "DENTISTS_AND_ORTHODONTISTS",
          "DEPARTMENT_STORES",
          "DESKTOP_PCS",
          "DEVICES",
          "DIECAST_TOYS_VEHICLES",
          "DIGITAL_GAMES",
          "DIGITAL_MEDIA_BOOKS_MOVIES_MUSIC",
          "DIRECT_MARKETING",
          "DIRECT_MARKETING_CATALOG_MERCHANT",
          "DIRECT_MARKETING_INBOUND_TELE",
          "DIRECT_MARKETING_OUTBOUND_TELE",
          "DIRECT_MARKETING_SUBSCRIPTION",
          "DISCOUNT_STORES",
          "DOOR_TO_DOOR_SALES",
          "DRAPERY_WINDOW_COVERING_AND_UPHOLSTERY",
          "DRINKING_PLACES",
          "DRUGSTORE",
          "DURABLE_GOODS",
          "ECOMMERCE_DEVELOPMENT",
          "ECOMMERCE_SERVICES",
          "EDUCATIONAL_AND_TEXTBOOKS",
          "ELECTRIC_RAZOR_STORES",
          "ELECTRICAL_AND_SMALL_APPLIANCE_REPAIR",
          "ELECTRICAL_CONTRACTORS",
          "ELECTRICAL_PARTS_AND_EQUIPMENT",
          "ELECTRONIC_CASH",
          "ELEMENTARY_AND_SECONDARY_SCHOOLS",
          "EMPLOYMENT",
          "ENTERTAINERS",
          "ENTERTAINMENT_AND_MEDIA",
          "EQUIP_TOOL_FURNITURE_AND_APPLIANCE_RENTAL_AND_LEASING",
          "ESCROW",
          "EVENT_AND_WEDDING_PLANNING",
          "EXERCISE_AND_FITNESS",
          "EXERCISE_EQUIPMENT",
          "EXTERMINATING_AND_DISINFECTING_SERVICES",
          "FABRICS_AND_SEWING",
          "FAMILY_CLOTHING_STORES",
          "FASHION_JEWELRY",
          "FAST_FOOD_RESTAURANTS",
          "FICTION_AND_NONFICTION",
          "FINANCE_COMPANY",
          "FINANCIAL_AND_INVESTMENT_ADVICE",
          "FINANCIAL_INSTITUTIONS_MERCHANDISE_AND_SERVICES",
          "FIREARM_ACCESSORIES",
          "FIREARMS_WEAPONS_AND_KNIVES",
          "FIREPLACE_AND_FIREPLACE_SCREENS",
          "FIREWORKS",
          "FISHING",
          "FLORISTS",
          "FLOWERS",
          "FOOD_DRINK_AND_NUTRITION",
          "FOOD_PRODUCTS",
          "FOOD_RETAIL_AND_SERVICE",
          "FRAGRANCES_AND_PERFUMES",
          "FREEZER_AND_LOCKER_MEAT_PROVISIONERS",
          "FUEL_DEALERS_FUEL_OIL_WOOD_AND_COAL",
          "FUEL_DEALERS_NON_AUTOMOTIVE",
          "FUNERAL_SERVICES_AND_CREMATORIES",
          "FURNISHING_AND_DECORATING",
          "FURNITURE",
          "FURRIERS_AND_FUR_SHOPS",
          "GADGETS_AND_OTHER_ELECTRONICS",
          "GAMBLING",
          "GAME_SOFTWARE",
          "GAMES",
          "GARDEN_SUPPLIES",
          "GENERAL",
          "GENERAL_CONTRACTORS",
          "GENERAL_GOVERNMENT",
          "GENERAL_SOFTWARE",
          "GENERAL_TELECOM",
          "GIFTS_AND_FLOWERS",
          "GLASS_PAINT_AND_WALLPAPER_STORES",
          "GLASSWARE_CRYSTAL_STORES",
          "GOVERNMENT",
          "GOVERNMENT_IDS_AND_LICENSES",
          "GOVERNMENT_LICENSED_ON_LINE_CASINOS_ON_LINE_GAMBLING",
          "GOVERNMENT_OWNED_LOTTERIES",
          "GOVERNMENT_SERVICES",
          "GRAPHIC_AND_COMMERCIAL_DESIGN",
          "GREETING_CARDS",
          "GROCERY_STORES_AND_SUPERMARKETS",
          "HARDWARE_AND_TOOLS",
          "HARDWARE_EQUIPMENT_AND_SUPPLIES",
          "HAZARDOUS_RESTRICTED_AND_PERISHABLE_ITEMS",
          "HEALTH_AND_BEAUTY_SPAS",
          "HEALTH_AND_NUTRITION",
          "HEALTH_AND_PERSONAL_CARE",
          "HEARING_AIDS_SALES_AND_SUPPLIES",
          "HEATING_PLUMBING_AC",
          "HIGH_RISK_MERCHANT",
          "HIRING_SERVICES",
          "HOBBIES_TOYS_AND_GAMES",
          "HOME_AND_GARDEN",
          "HOME_AUDIO",
          "HOME_DECOR",
          "HOME_ELECTRONICS",
          "HOSPITALS",
          "HOTELS_MOTELS_INNS_RESORTS",
          "HOUSEWARES",
          "HUMAN_PARTS_AND_REMAINS",
          "HUMOROUS_GIFTS_AND_NOVELTIES",
          "HUNTING",
          "IDS_LICENSES_AND_PASSPORTS",
          "ILLEGAL_DRUGS_AND_PARAPHERNALIA",
          "INDUSTRIAL",
          "INDUSTRIAL_AND_MANUFACTURING_SUPPLIES",
          "INSURANCE_AUTO_AND_HOME",
          "INSURANCE_DIRECT",
          "INSURANCE_LIFE_AND_ANNUITY",
          "INSURANCE_SALES_UNDERWRITING",
          "INSURANCE_UNDERWRITING_PREMIUMS",
          "INTERNET_AND_NETWORK_SERVICES",
          "INTRA_COMPANY_PURCHASES",
          "LABORATORIES_DENTAL_MEDICAL",
          "LANDSCAPING",
          "LANDSCAPING_AND_HORTICULTURAL_SERVICES",
          "LAUNDRY_CLEANING_SERVICES",
          "LEGAL",
          "LEGAL_SERVICES_AND_ATTORNEYS",
          "LOCAL_DELIVERY_SERVICE",
          "LOCKSMITH",
          "LODGING_AND_ACCOMMODATIONS",
          "LOTTERY_AND_CONTESTS",
          "LUGGAGE_AND_LEATHER_GOODS",
          "LUMBER_AND_BUILDING_MATERIALS",
          "MAGAZINES",
          "MAINTENANCE_AND_REPAIR_SERVICES",
          "MAKEUP_AND_COSMETICS",
          "MANUAL_CASH_DISBURSEMENTS",
          "MASSAGE_PARLORS",
          "MEDICAL",
          "MEDICAL_AND_PHARMACEUTICAL",
          "MEDICAL_CARE",
          "MEDICAL_EQUIPMENT_AND_SUPPLIES",
          "MEDICAL_SERVICES",
          "MEETING_PLANNERS",
          "MEMBERSHIP_CLUBS_AND_ORGANIZATIONS",
          "MEMBERSHIP_COUNTRY_CLUBS_GOLF",
          "MEMORABILIA",
          "MEN_AND_BOY_CLOTHING_AND_ACCESSORY_STORES",
          "MEN_CLOTHING",
          "MERCHANDISE",
          "METAPHYSICAL",
          "MILITARIA",
          "MILITARY_AND_CIVIL_SERVICE_UNIFORMS",
          "MISC._AUTOMOTIVE_AIRCRAFT_AND_FARM_EQUIPMENT_DEALERS",
          "MISC._GENERAL_MERCHANDISE",
          "MISCELLANEOUS_GENERAL_SERVICES",
          "MISCELLANEOUS_REPAIR_SHOPS_AND_RELATED_SERVICES",
          "MODEL_KITS",
          "MONEY_TRANSFER_MEMBER_FINANCIAL_INSTITUTION",
          "MONEY_TRANSFER_MERCHANT",
          "MOTION_PICTURE_THEATERS",
          "MOTOR_FREIGHT_CARRIERS_AND_TRUCKING",
          "MOTOR_HOME_AND_RECREATIONAL_VEHICLE_RENTAL",
          "MOTOR_HOMES_DEALERS",
          "MOTOR_VEHICLE_SUPPLIES_AND_NEW_PARTS",
          "MOTORCYCLE_DEALERS",
          "MOTORCYCLES",
          "MOVIE",
          "MOVIE_TICKETS",
          "MOVING_AND_STORAGE",
          "MULTI_LEVEL_MARKETING",
          "MUSIC_CDS_CASSETTES_AND_ALBUMS",
          "MUSIC_STORE_INSTRUMENTS_AND_SHEET_MUSIC",
          "NETWORKING",
          "NEW_AGE",
          "NEW_PARTS_AND_SUPPLIES_MOTOR_VEHICLE",
          "NEWS_DEALERS_AND_NEWSTANDS",
          "NON_DURABLE_GOODS",
          "NON_FICTION",
          "NON_PROFIT_POLITICAL_AND_RELIGION",
          "NONPROFIT",
          "NOVELTIES",
          "OEM_SOFTWARE",
          "OFFICE_SUPPLIES_AND_EQUIPMENT",
          "ONLINE_DATING",
          "ONLINE_GAMING",
          "ONLINE_GAMING_CURRENCY",
          "ONLINE_SERVICES",
          "OOUTBOUND_TELEMARKETING_MERCH",
          "OPHTHALMOLOGISTS_OPTOMETRIST",
          "OPTICIANS_AND_DISPENSING",
          "ORTHOPEDIC_GOODS_PROSTHETICS",
          "OSTEOPATHS",
          "OTHER",
          "PACKAGE_TOUR_OPERATORS",
          "PAINTBALL",
          "PAINTS_VARNISHES_AND_SUPPLIES",
          "PARKING_LOTS_AND_GARAGES",
          "PARTS_AND_ACCESSORIES",
          "PAWN_SHOPS",
          "PAYCHECK_LENDER_OR_CASH_ADVANCE",
          "PERIPHERALS",
          "PERSONALIZED_GIFTS",
          "PET_SHOPS_PET_FOOD_AND_SUPPLIES",
          "PETROLEUM_AND_PETROLEUM_PRODUCTS",
          "PETS_AND_ANIMALS",
          "PHOTOFINISHING_LABORATORIES_PHOTO_DEVELOPING",
          "PHOTOGRAPHIC_STUDIOS_PORTRAITS",
          "PHOTOGRAPHY",
          "PHYSICAL_GOOD",
          "PICTURE_VIDEO_PRODUCTION",
          "PIECE_GOODS_NOTIONS_AND_OTHER_DRY_GOODS",
          "PLANTS_AND_SEEDS",
          "PLUMBING_AND_HEATING_EQUIPMENTS_AND_SUPPLIES",
          "POLICE_RELATED_ITEMS",
          "POLITICAL_ORGANIZATIONS",
          "POSTAL_SERVICES_GOVERNMENT_ONLY",
          "POSTERS",
          "PREPAID_AND_STORED_VALUE_CARDS",
          "PRESCRIPTION_DRUGS",
          "PROMOTIONAL_ITEMS",
          "PUBLIC_WAREHOUSING_AND_STORAGE",
          "PUBLISHING_AND_PRINTING",
          "PUBLISHING_SERVICES",
          "RADAR_DECTORS",
          "RADIO_TELEVISION_AND_STEREO_REPAIR",
          "REAL_ESTATE",
          "REAL_ESTATE_AGENT",
          "REAL_ESTATE_AGENTS_AND_MANAGERS_RENTALS",
          "RELIGION_AND_SPIRITUALITY_FOR_PROFIT",
          "RELIGIOUS",
          "RELIGIOUS_ORGANIZATIONS",
          "REMITTANCE",
          "RENTAL_PROPERTY_MANAGEMENT",
          "RESIDENTIAL",
          "RETAIL",
          "RETAIL_FINE_JEWELRY_AND_WATCHES",
          "REUPHOLSTERY_AND_FURNITURE_REPAIR",
          "RINGS",
          "ROOFING_SIDING_SHEET_METAL",
          "RUGS_AND_CARPETS",
          "SCHOOLS_AND_COLLEGES",
          "SCIENCE_FICTION",
          "SCRAPBOOKING",
          "SCULPTURES",
          "SECURITIES_BROKERS_AND_DEALERS",
          "SECURITY_AND_SURVEILLANCE",
          "SECURITY_AND_SURVEILLANCE_EQUIPMENT",
          "SECURITY_BROKERS_AND_DEALERS",
          "SEMINARS",
          "SERVICE_STATIONS",
          "SERVICES",
          "SEWING_NEEDLEWORK_FABRIC_AND_PIECE_GOODS_STORES",
          "SHIPPING_AND_PACKING",
          "SHOE_REPAIR_HAT_CLEANING",
          "SHOE_STORES",
          "SHOES",
          "SNOWMOBILE_DEALERS",
          "SOFTWARE",
          "SPECIALTY_AND_MISC._FOOD_STORES",
          "SPECIALTY_CLEANING_POLISHING_AND_SANITATION_PREPARATIONS",
          "SPECIALTY_OR_RARE_PETS",
          "SPORT_GAMES_AND_TOYS",
          "SPORTING_AND_RECREATIONAL_CAMPS",
          "SPORTING_GOODS",
          "SPORTS_AND_OUTDOORS",
          "SPORTS_AND_RECREATION",
          "STAMP_AND_COIN",
          "STATIONARY_PRINTING_AND_WRITING_PAPER",
          "STENOGRAPHIC_AND_SECRETARIAL_SUPPORT_SERVICES",
          "STOCKS_BONDS_SECURITIES_AND_RELATED_CERTIFICATES",
          "STORED_VALUE_CARDS",
          "SUPPLIES",
          "SUPPLIES_AND_TOYS",
          "SURVEILLANCE_EQUIPMENT",
          "SWIMMING_POOLS_AND_SPAS",
          "SWIMMING_POOLS_SALES_SUPPLIES_SERVICES",
          "TAILORS_AND_ALTERATIONS",
          "TAX_PAYMENTS",
          "TAX_PAYMENTS_GOVERNMENT_AGENCIES",
          "TAXICABS_AND_LIMOUSINES",
          "TELECOMMUNICATION_SERVICES",
          "TELEPHONE_CARDS",
          "TELEPHONE_EQUIPMENT",
          "TELEPHONE_SERVICES",
          "THEATER",
          "TIRE_RETREADING_AND_REPAIR",
          "TOLL_OR_BRIDGE_FEES",
          "TOOLS_AND_EQUIPMENT",
          "TOURIST_ATTRACTIONS_AND_EXHIBITS",
          "TOWING_SERVICE",
          "TOYS_AND_GAMES",
          "TRADE_AND_VOCATIONAL_SCHOOLS",
          "TRADEMARK_INFRINGEMENT",
          "TRAILER_PARKS_AND_CAMPGROUNDS",
          "TRAINING_SERVICES",
          "TRANSPORTATION_SERVICES",
          "TRAVEL",
          "TRUCK_AND_UTILITY_TRAILER_RENTALS",
          "TRUCK_STOP",
          "TYPESETTING_PLATE_MAKING_AND_RELATED_SERVICES",
          "USED_MERCHANDISE_AND_SECONDHAND_STORES",
          "USED_PARTS_MOTOR_VEHICLE",
          "UTILITIES",
          "UTILITIES_ELECTRIC_GAS_WATER_SANITARY",
          "VARIETY_STORES",
          "VEHICLE_SALES",
          "VEHICLE_SERVICE_AND_ACCESSORIES",
          "VIDEO_EQUIPMENT",
          "VIDEO_GAME_ARCADES_ESTABLISH",
          "VIDEO_GAMES_AND_SYSTEMS",
          "VIDEO_TAPE_RENTAL_STORES",
          "VINTAGE_AND_COLLECTIBLE_VEHICLES",
          "VINTAGE_AND_COLLECTIBLES",
          "VITAMINS_AND_SUPPLEMENTS",
          "VOCATIONAL_AND_TRADE_SCHOOLS",
          "WATCH_CLOCK_AND_JEWELRY_REPAIR",
          "WEB_HOSTING_AND_DESIGN",
          "WELDING_REPAIR",
          "WHOLESALE_CLUBS",
          "WHOLESALE_FLORIST_SUPPLIERS",
          "WHOLESALE_PRESCRIPTION_DRUGS",
          "WILDLIFE_PRODUCTS",
          "WIRE_TRANSFER",
          "WIRE_TRANSFER_AND_MONEY_ORDER",
          "WOMEN_ACCESSORY_SPECIALITY",
          "WOMEN_CLOTHING"
        ],
        "oneOf": [
          {
            "type": "string",
            "enum": [
              "AC_REFRIGERATION_REPAIR"
            ],
            "description": "A/C, Refrigeration Repair"
          },
          {
            "type": "string",
            "enum": [
              "ACADEMIC_SOFTWARE"
            ],
            "description": "Academic Software"
          },
          {
            "type": "string",
            "enum": [
              "ACCESSORIES"
            ],
            "description": "Accessories"
          },
          {
            "type": "string",
            "enum": [
              "ACCOUNTING"
            ],
            "description": "Accounting"
          },
          {
            "type": "string",
            "enum": [
              "ADULT"
            ],
            "description": "Adult"
          },
          {
            "type": "string",
            "enum": [
              "ADVERTISING"
            ],
            "description": "Advertising"
          },
          {
            "type": "string",
            "enum": [
              "AFFILIATED_AUTO_RENTAL"
            ],
            "description": "Affiliated Auto Rental"
          },
          {
            "type": "string",
            "enum": [
              "AGENCIES"
            ],
            "description": "Agencies"
          },
          {
            "type": "string",
            "enum": [
              "AGGREGATORS"
            ],
            "description": "Aggregators"
          },
          {
            "type": "string",
            "enum": [
              "AGRICULTURAL_COOPERATIVE_FOR_MAIL_ORDER"
            ],
            "description": "Agricultural Cooperative for Mail Order"
          },
          {
            "type": "string",
            "enum": [
              "AIR_CARRIERS_AIRLINES"
            ],
            "description": "Air Carriers, Airlines"
          },
          {
            "type": "string",
            "enum": [
              "AIRLINES"
            ],
            "description": "Airlines"
          },
          {
            "type": "string",
            "enum": [
              "AIRPORTS_FLYING_FIELDS"
            ],
            "description": "Airports, Flying Fields"
          },
          {
            "type": "string",
            "enum": [
              "ALCOHOLIC_BEVERAGES"
            ],
            "description": "Alcoholic Beverages"
          },
          {
            "type": "string",
            "enum": [
              "AMUSEMENT_PARKS_CARNIVALS"
            ],
            "description": "Amusement Parks/Carnivals"
          },
          {
            "type": "string",
            "enum": [
              "ANIMATION"
            ],
            "description": "Animation"
          },
          {
            "type": "string",
            "enum": [
              "ANTIQUES"
            ],
            "description": "Antiques"
          },
          {
            "type": "string",
            "enum": [
              "APPLIANCES"
            ],
            "description": "Appliances"
          },
          {
            "type": "string",
            "enum": [
              "AQUARIAMS_SEAQUARIUMS_DOLPHINARIUMS"
            ],
            "description": "Aquariams Seaquariums Dolphinariums"
          },
          {
            "type": "string",
            "enum": [
              "ARCHITECTURAL_ENGINEERING_AND_SURVEYING_SERVICES"
            ],
            "description": "Architectural,Engineering,And Surveying Services"
          },
          {
            "type": "string",
            "enum": [
              "ART_AND_CRAFT_SUPPLIES"
            ],
            "description": "Art & Craft Supplies"
          },
          {
            "type": "string",
            "enum": [
              "ART_DEALERS_AND_GALLERIES"
            ],
            "description": "Art dealers and galleries"
          },
          {
            "type": "string",
            "enum": [
              "ARTIFACTS_GRAVE_RELATED_AND_NATIVE_AMERICAN_CRAFTS"
            ],
            "description": "Artifacts, Grave related, and Native American Crafts"
          },
          {
            "type": "string",
            "enum": [
              "ARTS_AND_CRAFTS"
            ],
            "description": "Arts and crafts"
          },
          {
            "type": "string",
            "enum": [
              "ARTS_CRAFTS_AND_COLLECTIBLES"
            ],
            "description": "Arts, crafts, and collectibles"
          },
          {
            "type": "string",
            "enum": [
              "AUDIO_BOOKS"
            ],
            "description": "Audio books"
          },
          {
            "type": "string",
            "enum": [
              "AUTO_ASSOCIATIONS_CLUBS"
            ],
            "description": "Auto Associations/Clubs"
          },
          {
            "type": "string",
            "enum": [
              "AUTO_DEALER_USED_ONLY"
            ],
            "description": "Auto dealer - used only"
          },
          {
            "type": "string",
            "enum": [
              "AUTO_RENTALS"
            ],
            "description": "Auto Rentals"
          },
          {
            "type": "string",
            "enum": [
              "AUTO_SERVICE"
            ],
            "description": "Auto service"
          },
          {
            "type": "string",
            "enum": [
              "AUTOMATED_FUEL_DISPENSERS"
            ],
            "description": "Automated Fuel Dispensers"
          },
          {
            "type": "string",
            "enum": [
              "AUTOMOBILE_ASSOCIATIONS"
            ],
            "description": "Automobile Associations"
          },
          {
            "type": "string",
            "enum": [
              "AUTOMOTIVE"
            ],
            "description": "Automotive"
          },
          {
            "type": "string",
            "enum": [
              "AUTOMOTIVE_REPAIR_SHOPS_NON_DEALER"
            ],
            "description": "Automotive Repair Shops - Non-Dealer"
          },
          {
            "type": "string",
            "enum": [
              "AUTOMOTIVE_TOP_AND_BODY_SHOPS"
            ],
            "description": "Automotive Top And Body Shops"
          },
          {
            "type": "string",
            "enum": [
              "AVIATION"
            ],
            "description": "Aviation"
          },
          {
            "type": "string",
            "enum": [
              "BABIES_CLOTHING_AND_SUPPLIES"
            ],
            "description": "Babies Clothing & Supplies"
          },
          {
            "type": "string",
            "enum": [
              "BABY"
            ],
            "description": "Baby"
          },
          {
            "type": "string",
            "enum": [
              "BANDS_ORCHESTRAS_ENTERTAINERS"
            ],
            "description": "Bands,Orchestras,Entertainers"
          },
          {
            "type": "string",
            "enum": [
              "BARBIES"
            ],
            "description": "Barbies"
          },
          {
            "type": "string",
            "enum": [
              "BATH_AND_BODY"
            ],
            "description": "Bath and body"
          },
          {
            "type": "string",
            "enum": [
              "BATTERIES"
            ],
            "description": "Batteries"
          },
          {
            "type": "string",
            "enum": [
              "BEAN_BABIES"
            ],
            "description": "Bean Babies"
          },
          {
            "type": "string",
            "enum": [
              "BEAUTY"
            ],
            "description": "Beauty"
          },
          {
            "type": "string",
            "enum": [
              "BEAUTY_AND_FRAGRANCES"
            ],
            "description": "Beauty and fragrances"
          },
          {
            "type": "string",
            "enum": [
              "BED_AND_BATH"
            ],
            "description": "Bed & Bath"
          },
          {
            "type": "string",
            "enum": [
              "BICYCLE_SHOPS_SALES_AND_SERVICE"
            ],
            "description": "Bicycle Shops-Sales And Service"
          },
          {
            "type": "string",
            "enum": [
              "BICYCLES_AND_ACCESSORIES"
            ],
            "description": "Bicycles & Accessories"
          },
          {
            "type": "string",
            "enum": [
              "BILLIARD_POOL_ESTABLISHMENTS"
            ],
            "description": "Billiard/Pool Establishments"
          },
          {
            "type": "string",
            "enum": [
              "BOAT_DEALERS"
            ],
            "description": "Boat Dealers"
          },
          {
            "type": "string",
            "enum": [
              "BOAT_RENTALS_AND_LEASING"
            ],
            "description": "Boat Rentals And Leasing"
          },
          {
            "type": "string",
            "enum": [
              "BOATING_SAILING_AND_ACCESSORIES"
            ],
            "description": "Boating, sailing and accessories"
          },
          {
            "type": "string",
            "enum": [
              "BOOKS"
            ],
            "description": "Books"
          },
          {
            "type": "string",
            "enum": [
              "BOOKS_AND_MAGAZINES"
            ],
            "description": "Books and magazines"
          },
          {
            "type": "string",
            "enum": [
              "BOOKS_MANUSCRIPTS"
            ],
            "description": "Books, Manuscripts"
          },
          {
            "type": "string",
            "enum": [
              "BOOKS_PERIODICALS_AND_NEWSPAPERS"
            ],
            "description": "Books, Periodicals And Newspapers"
          },
          {
            "type": "string",
            "enum": [
              "BOWLING_ALLEYS"
            ],
            "description": "Bowling Alleys"
          },
          {
            "type": "string",
            "enum": [
              "BULLETIN_BOARD"
            ],
            "description": "Bulletin board"
          },
          {
            "type": "string",
            "enum": [
              "BUS_LINE"
            ],
            "description": "Bus line"
          },
          {
            "type": "string",
            "enum": [
              "BUS_LINES_CHARTERS_TOUR_BUSES"
            ],
            "description": "Bus Lines,Charters,Tour Buses"
          },
          {
            "type": "string",
            "enum": [
              "BUSINESS"
            ],
            "description": "Business"
          },
          {
            "type": "string",
            "enum": [
              "BUSINESS_AND_SECRETARIAL_SCHOOLS"
            ],
            "description": "Business and secretarial schools"
          },
          {
            "type": "string",
            "enum": [
              "BUYING_AND_SHOPPING_SERVICES_AND_CLUBS"
            ],
            "description": "Buying And Shopping Services And Clubs"
          },
          {
            "type": "string",
            "enum": [
              "CABLE_SATELLITE_AND_OTHER_PAY_TELEVISION_AND_RADIO_SERVICES"
            ],
            "description": "Cable,Satellite,And Other Pay Television And Radio Services"
          },
          {
            "type": "string",
            "enum": [
              "CABLE_SATELLITE_AND_OTHER_PAY_TV_AND_RADIO"
            ],
            "description": "Cable, satellite, and other pay TV and radio"
          },
          {
            "type": "string",
            "enum": [
              "CAMERA_AND_PHOTOGRAPHIC_SUPPLIES"
            ],
            "description": "Camera and photographic supplies"
          },
          {
            "type": "string",
            "enum": [
              "CAMERAS"
            ],
            "description": "Cameras"
          },
          {
            "type": "string",
            "enum": [
              "CAMERAS_AND_PHOTOGRAPHY"
            ],
            "description": "Cameras & Photography"
          },
          {
            "type": "string",
            "enum": [
              "CAMPER_RECREATIONAL_AND_UTILITY_TRAILER_DEALERS"
            ],
            "description": "Camper,Recreational And Utility Trailer Dealers"
          },
          {
            "type": "string",
            "enum": [
              "CAMPING_AND_OUTDOORS"
            ],
            "description": "Camping and outdoors"
          },
          {
            "type": "string",
            "enum": [
              "CAMPING_AND_SURVIVAL"
            ],
            "description": "Camping & Survival"
          },
          {
            "type": "string",
            "enum": [
              "CAR_AND_TRUCK_DEALERS"
            ],
            "description": "Car And Truck Dealers"
          },
          {
            "type": "string",
            "enum": [
              "CAR_AND_TRUCK_DEALERS_USED_ONLY"
            ],
            "description": "Car And Truck Dealers - Used Only"
          },
          {
            "type": "string",
            "enum": [
              "CAR_AUDIO_AND_ELECTRONICS"
            ],
            "description": "Car Audio & Electronics"
          },
          {
            "type": "string",
            "enum": [
              "CAR_RENTAL_AGENCY"
            ],
            "description": "Car rental agency"
          },
          {
            "type": "string",
            "enum": [
              "CATALOG_MERCHANT"
            ],
            "description": "Catalog Merchant"
          },
          {
            "type": "string",
            "enum": [
              "CATALOG_RETAIL_MERCHANT"
            ],
            "description": "Catalog/Retail Merchant"
          },
          {
            "type": "string",
            "enum": [
              "CATERING_SERVICES"
            ],
            "description": "Catering services"
          },
          {
            "type": "string",
            "enum": [
              "CHARITY"
            ],
            "description": "Charity"
          },
          {
            "type": "string",
            "enum": [
              "CHECK_CASHIER"
            ],
            "description": "Check Cashier"
          },
          {
            "type": "string",
            "enum": [
              "CHILD_CARE_SERVICES"
            ],
            "description": "Child Care Services"
          },
          {
            "type": "string",
            "enum": [
              "CHILDREN_BOOKS"
            ],
            "description": "Children Books"
          },
          {
            "type": "string",
            "enum": [
              "CHIROPODISTS_PODIATRISTS"
            ],
            "description": "Chiropodists/Podiatrists"
          },
          {
            "type": "string",
            "enum": [
              "CHIROPRACTORS"
            ],
            "description": "Chiropractors"
          },
          {
            "type": "string",
            "enum": [
              "CIGAR_STORES_AND_STANDS"
            ],
            "description": "Cigar Stores And Stands"
          },
          {
            "type": "string",
            "enum": [
              "CIVIC_SOCIAL_FRATERNAL_ASSOCIATIONS"
            ],
            "description": "Civic, Social, Fraternal Associations"
          },
          {
            "type": "string",
            "enum": [
              "CIVIL_SOCIAL_FRAT_ASSOCIATIONS"
            ],
            "description": "Civil/Social/Frat Associations"
          },
          {
            "type": "string",
            "enum": [
              "CLOTHING"
            ],
            "description": "Clothing"
          },
          {
            "type": "string",
            "enum": [
              "CLOTHING_ACCESSORIES_AND_SHOES"
            ],
            "description": "Clothing, accessories, and shoes"
          },
          {
            "type": "string",
            "enum": [
              "CLOTHING_RENTAL"
            ],
            "description": "Clothing Rental"
          },
          {
            "type": "string",
            "enum": [
              "COFFEE_AND_TEA"
            ],
            "description": "Coffee and tea"
          },
          {
            "type": "string",
            "enum": [
              "COIN_OPERATED_BANKS_AND_CASINOS"
            ],
            "description": "Coin Operated Banks & Casinos"
          },
          {
            "type": "string",
            "enum": [
              "COLLECTIBLES"
            ],
            "description": "Collectibles"
          },
          {
            "type": "string",
            "enum": [
              "COLLECTION_AGENCY"
            ],
            "description": "Collection agency"
          },
          {
            "type": "string",
            "enum": [
              "COLLEGES_AND_UNIVERSITIES"
            ],
            "description": "Colleges and universities"
          },
          {
            "type": "string",
            "enum": [
              "COMMERCIAL_EQUIPMENT"
            ],
            "description": "Commercial Equipment"
          },
          {
            "type": "string",
            "enum": [
              "COMMERCIAL_FOOTWEAR"
            ],
            "description": "Commercial Footwear"
          },
          {
            "type": "string",
            "enum": [
              "COMMERCIAL_PHOTOGRAPHY"
            ],
            "description": "Commercial photography"
          },
          {
            "type": "string",
            "enum": [
              "COMMERCIAL_PHOTOGRAPHY_ART_AND_GRAPHICS"
            ],
            "description": "Commercial photography, art, and graphics"
          },
          {
            "type": "string",
            "enum": [
              "COMMERCIAL_SPORTS_PROFESSIONA"
            ],
            "description": "Commercial Sports/Professiona"
          },
          {
            "type": "string",
            "enum": [
              "COMMODITIES_AND_FUTURES_EXCHANGE"
            ],
            "description": "Commodities and futures exchange"
          },
          {
            "type": "string",
            "enum": [
              "COMPUTER_AND_DATA_PROCESSING_SERVICES"
            ],
            "description": "Computer and data processing services"
          },
          {
            "type": "string",
            "enum": [
              "COMPUTER_HARDWARE_AND_SOFTWARE"
            ],
            "description": "Computer Hardware & Software"
          },
          {
            "type": "string",
            "enum": [
              "COMPUTER_MAINTENANCE_REPAIR_AND_SERVICES_NOT_ELSEWHERE_CLAS"
            ],
            "description": "Computer Maintenance, Repair And Services Not Elsewhere Clas"
          },
          {
            "type": "string",
            "enum": [
              "CONSTRUCTION"
            ],
            "description": "Construction"
          },
          {
            "type": "string",
            "enum": [
              "CONSTRUCTION_MATERIALS_NOT_ELSEWHERE_CLASSIFIED"
            ],
            "description": "Construction Materials Not Elsewhere Classified"
          },
          {
            "type": "string",
            "enum": [
              "CONSULTING_SERVICES"
            ],
            "description": "Consulting services"
          },
          {
            "type": "string",
            "enum": [
              "CONSUMER_CREDIT_REPORTING_AGENCIES"
            ],
            "description": "Consumer Credit Reporting Agencies"
          },
          {
            "type": "string",
            "enum": [
              "CONVALESCENT_HOMES"
            ],
            "description": "Convalescent Homes"
          },
          {
            "type": "string",
            "enum": [
              "COSMETIC_STORES"
            ],
            "description": "Cosmetic Stores"
          },
          {
            "type": "string",
            "enum": [
              "COUNSELING_SERVICES_DEBT_MARRIAGE_PERSONAL"
            ],
            "description": "Counseling Services--Debt,Marriage,Personal"
          },
          {
            "type": "string",
            "enum": [
              "COUNTERFEIT_CURRENCY_AND_STAMPS"
            ],
            "description": "Counterfeit Currency and Stamps"
          },
          {
            "type": "string",
            "enum": [
              "COUNTERFEIT_ITEMS"
            ],
            "description": "Counterfeit Items"
          },
          {
            "type": "string",
            "enum": [
              "COUNTRY_CLUBS"
            ],
            "description": "Country Clubs"
          },
          {
            "type": "string",
            "enum": [
              "COURIER_SERVICES"
            ],
            "description": "Courier services"
          },
          {
            "type": "string",
            "enum": [
              "COURIER_SERVICES_AIR_AND_GROUND_AND_FREIGHT_FORWARDERS"
            ],
            "description": "Courier Services-Air And Ground,And Freight Forwarders"
          },
          {
            "type": "string",
            "enum": [
              "COURT_COSTS_ALIMNY_CHILD_SUPT"
            ],
            "description": "Court Costs/Alimny/Child Supt"
          },
          {
            "type": "string",
            "enum": [
              "COURT_COSTS_INCLUDING_ALIMONY_AND_CHILD_SUPPORT_COURTS_OF_LAW"
            ],
            "description": "Court Costs, Including Alimony and Child Support - Courts of Law"
          },
          {
            "type": "string",
            "enum": [
              "CREDIT_CARDS"
            ],
            "description": "Credit Cards"
          },
          {
            "type": "string",
            "enum": [
              "CREDIT_UNION"
            ],
            "description": "Credit union"
          },
          {
            "type": "string",
            "enum": [
              "CULTURE_AND_RELIGION"
            ],
            "description": "Culture & Religion"
          },
          {
            "type": "string",
            "enum": [
              "DAIRY_PRODUCTS_STORES"
            ],
            "description": "Dairy Products Stores"
          },
          {
            "type": "string",
            "enum": [
              "DANCE_HALLS_STUDIOS_AND_SCHOOLS"
            ],
            "description": "Dance Halls,Studios,And Schools"
          },
          {
            "type": "string",
            "enum": [
              "DECORATIVE"
            ],
            "description": "Decorative"
          },
          {
            "type": "string",
            "enum": [
              "DENTAL"
            ],
            "description": "Dental"
          },
          {
            "type": "string",
            "enum": [
              "DENTISTS_AND_ORTHODONTISTS"
            ],
            "description": "Dentists And Orthodontists"
          },
          {
            "type": "string",
            "enum": [
              "DEPARTMENT_STORES"
            ],
            "description": "Department Stores"
          },
          {
            "type": "string",
            "enum": [
              "DESKTOP_PCS"
            ],
            "description": "Desktop PCs"
          },
          {
            "type": "string",
            "enum": [
              "DEVICES"
            ],
            "description": "Devices"
          },
          {
            "type": "string",
            "enum": [
              "DIECAST_TOYS_VEHICLES"
            ],
            "description": "Diecast, Toys Vehicles"
          },
          {
            "type": "string",
            "enum": [
              "DIGITAL_GAMES"
            ],
            "description": "Digital games"
          },
          {
            "type": "string",
            "enum": [
              "DIGITAL_MEDIA_BOOKS_MOVIES_MUSIC"
            ],
            "description": "Digital media,books,movies,music"
          },
          {
            "type": "string",
            "enum": [
              "DIRECT_MARKETING"
            ],
            "description": "Direct Marketing"
          },
          {
            "type": "string",
            "enum": [
              "DIRECT_MARKETING_CATALOG_MERCHANT"
            ],
            "description": "Direct Marketing - Catalog Merchant"
          },
          {
            "type": "string",
            "enum": [
              "DIRECT_MARKETING_INBOUND_TELE"
            ],
            "description": "Direct Marketing - Inbound Tele"
          },
          {
            "type": "string",
            "enum": [
              "DIRECT_MARKETING_OUTBOUND_TELE"
            ],
            "description": "Direct Marketing - Outbound Tele"
          },
          {
            "type": "string",
            "enum": [
              "DIRECT_MARKETING_SUBSCRIPTION"
            ],
            "description": "Direct Marketing - Subscription"
          },
          {
            "type": "string",
            "enum": [
              "DISCOUNT_STORES"
            ],
            "description": "Discount Stores"
          },
          {
            "type": "string",
            "enum": [
              "DOOR_TO_DOOR_SALES"
            ],
            "description": "Door-To-Door Sales"
          },
          {
            "type": "string",
            "enum": [
              "DRAPERY_WINDOW_COVERING_AND_UPHOLSTERY"
            ],
            "description": "Drapery, window covering, and upholstery"
          },
          {
            "type": "string",
            "enum": [
              "DRINKING_PLACES"
            ],
            "description": "Drinking Places"
          },
          {
            "type": "string",
            "enum": [
              "DRUGSTORE"
            ],
            "description": "Drugstore"
          },
          {
            "type": "string",
            "enum": [
              "DURABLE_GOODS"
            ],
            "description": "Durable goods"
          },
          {
            "type": "string",
            "enum": [
              "ECOMMERCE_DEVELOPMENT"
            ],
            "description": "eCommerce Development"
          },
          {
            "type": "string",
            "enum": [
              "ECOMMERCE_SERVICES"
            ],
            "description": "eCommerce Services"
          },
          {
            "type": "string",
            "enum": [
              "EDUCATIONAL_AND_TEXTBOOKS"
            ],
            "description": "Educational and textbooks"
          },
          {
            "type": "string",
            "enum": [
              "ELECTRIC_RAZOR_STORES"
            ],
            "description": "Electric Razor Stores"
          },
          {
            "type": "string",
            "enum": [
              "ELECTRICAL_AND_SMALL_APPLIANCE_REPAIR"
            ],
            "description": "Electrical and small appliance repair"
          },
          {
            "type": "string",
            "enum": [
              "ELECTRICAL_CONTRACTORS"
            ],
            "description": "Electrical Contractors"
          },
          {
            "type": "string",
            "enum": [
              "ELECTRICAL_PARTS_AND_EQUIPMENT"
            ],
            "description": "Electrical Parts and Equipment"
          },
          {
            "type": "string",
            "enum": [
              "ELECTRONIC_CASH"
            ],
            "description": "Electronic Cash"
          },
          {
            "type": "string",
            "enum": [
              "ELEMENTARY_AND_SECONDARY_SCHOOLS"
            ],
            "description": "Elementary and secondary schools"
          },
          {
            "type": "string",
            "enum": [
              "EMPLOYMENT"
            ],
            "description": "Employment"
          },
          {
            "type": "string",
            "enum": [
              "ENTERTAINERS"
            ],
            "description": "Entertainers"
          },
          {
            "type": "string",
            "enum": [
              "ENTERTAINMENT_AND_MEDIA"
            ],
            "description": "Entertainment and media"
          },
          {
            "type": "string",
            "enum": [
              "EQUIP_TOOL_FURNITURE_AND_APPLIANCE_RENTAL_AND_LEASING"
            ],
            "description": "Equip, Tool, Furniture, And Appliance Rental And Leasing"
          },
          {
            "type": "string",
            "enum": [
              "ESCROW"
            ],
            "description": "Escrow"
          },
          {
            "type": "string",
            "enum": [
              "EVENT_AND_WEDDING_PLANNING"
            ],
            "description": "Event & Wedding Planning"
          },
          {
            "type": "string",
            "enum": [
              "EXERCISE_AND_FITNESS"
            ],
            "description": "Exercise and fitness"
          },
          {
            "type": "string",
            "enum": [
              "EXERCISE_EQUIPMENT"
            ],
            "description": "Exercise Equipment"
          },
          {
            "type": "string",
            "enum": [
              "EXTERMINATING_AND_DISINFECTING_SERVICES"
            ],
            "description": "Exterminating and disinfecting services"
          },
          {
            "type": "string",
            "enum": [
              "FABRICS_AND_SEWING"
            ],
            "description": "Fabrics & Sewing"
          },
          {
            "type": "string",
            "enum": [
              "FAMILY_CLOTHING_STORES"
            ],
            "description": "Family Clothing Stores"
          },
          {
            "type": "string",
            "enum": [
              "FASHION_JEWELRY"
            ],
            "description": "Fashion jewelry"
          },
          {
            "type": "string",
            "enum": [
              "FAST_FOOD_RESTAURANTS"
            ],
            "description": "Fast Food Restaurants"
          },
          {
            "type": "string",
            "enum": [
              "FICTION_AND_NONFICTION"
            ],
            "description": "Fiction and nonfiction"
          },
          {
            "type": "string",
            "enum": [
              "FINANCE_COMPANY"
            ],
            "description": "Finance company"
          },
          {
            "type": "string",
            "enum": [
              "FINANCIAL_AND_INVESTMENT_ADVICE"
            ],
            "description": "Financial and investment advice"
          },
          {
            "type": "string",
            "enum": [
              "FINANCIAL_INSTITUTIONS_MERCHANDISE_AND_SERVICES"
            ],
            "description": "Financial Institutions - Merchandise And Services"
          },
          {
            "type": "string",
            "enum": [
              "FIREARM_ACCESSORIES"
            ],
            "description": "Firearm accessories"
          },
          {
            "type": "string",
            "enum": [
              "FIREARMS_WEAPONS_AND_KNIVES"
            ],
            "description": "Firearms, Weapons and Knives"
          },
          {
            "type": "string",
            "enum": [
              "FIREPLACE_AND_FIREPLACE_SCREENS"
            ],
            "description": "Fireplace, and fireplace screens"
          },
          {
            "type": "string",
            "enum": [
              "FIREWORKS"
            ],
            "description": "Fireworks"
          },
          {
            "type": "string",
            "enum": [
              "FISHING"
            ],
            "description": "Fishing"
          },
          {
            "type": "string",
            "enum": [
              "FLORISTS"
            ],
            "description": "Florists"
          },
          {
            "type": "string",
            "enum": [
              "FLOWERS"
            ],
            "description": "Flowers"
          },
          {
            "type": "string",
            "enum": [
              "FOOD_DRINK_AND_NUTRITION"
            ],
            "description": "Food, Drink & Nutrition"
          },
          {
            "type": "string",
            "enum": [
              "FOOD_PRODUCTS"
            ],
            "description": "Food Products"
          },
          {
            "type": "string",
            "enum": [
              "FOOD_RETAIL_AND_SERVICE"
            ],
            "description": "Food retail and service"
          },
          {
            "type": "string",
            "enum": [
              "FRAGRANCES_AND_PERFUMES"
            ],
            "description": "Fragrances and perfumes"
          },
          {
            "type": "string",
            "enum": [
              "FREEZER_AND_LOCKER_MEAT_PROVISIONERS"
            ],
            "description": "Freezer and Locker Meat Provisioners"
          },
          {
            "type": "string",
            "enum": [
              "FUEL_DEALERS_FUEL_OIL_WOOD_AND_COAL"
            ],
            "description": "Fuel Dealers-Fuel Oil, Wood & Coal"
          },
          {
            "type": "string",
            "enum": [
              "FUEL_DEALERS_NON_AUTOMOTIVE"
            ],
            "description": "Fuel Dealers - Non Automotive"
          },
          {
            "type": "string",
            "enum": [
              "FUNERAL_SERVICES_AND_CREMATORIES"
            ],
            "description": "Funeral Services & Crematories"
          },
          {
            "type": "string",
            "enum": [
              "FURNISHING_AND_DECORATING"
            ],
            "description": "Furnishing & Decorating"
          },
          {
            "type": "string",
            "enum": [
              "FURNITURE"
            ],
            "description": "Furniture"
          },
          {
            "type": "string",
            "enum": [
              "FURRIERS_AND_FUR_SHOPS"
            ],
            "description": "Furriers and Fur Shops"
          },
          {
            "type": "string",
            "enum": [
              "GADGETS_AND_OTHER_ELECTRONICS"
            ],
            "description": "Gadgets & other electronics"
          },
          {
            "type": "string",
            "enum": [
              "GAMBLING"
            ],
            "description": "Gambling"
          },
          {
            "type": "string",
            "enum": [
              "GAME_SOFTWARE"
            ],
            "description": "Game Software"
          },
          {
            "type": "string",
            "enum": [
              "GAMES"
            ],
            "description": "Games"
          },
          {
            "type": "string",
            "enum": [
              "GARDEN_SUPPLIES"
            ],
            "description": "Garden supplies"
          },
          {
            "type": "string",
            "enum": [
              "GENERAL"
            ],
            "description": "General"
          },
          {
[...]
